<div xmlns="http://www.w3.org/1999/xhtml" lang="en"
	 xmlns:f="http://typo3.org/ns/fluid/ViewHelpers"
	 xmlns:shop="http://typo3.org/ns/CodingMs/Shop/ViewHelpers">
	<f:if condition="{f:count(subject: products)}">
		<f:if condition="{settings.list.layout} == 'isotope'">
			<f:then>
				<shop:variable.set name="isotopeConfiguration">{"itemSelector": ".product-item", "layoutMode": "fitRows"}</shop:variable.set>
				<shop:variable.set name="isotope">data-isotope='{isotopeConfiguration}'</shop:variable.set>
				<f:for each="{products}" as="product" iteration="itemIteration">
					<div class="{settings.list.css.class.itemIsotope} {product.cssClasses} {additionalCssClasses}"
						 data-isotope-sortby-title="{product.title}"
						 data-isotope-sortby-product-no="{product.productNo}"
						 data-isotope-sortby-sorting="{product.sorting}"
						 data-endless-scrolling-element>
						<f:render partial="Product/List/Item/{settings.displayType}" section="Default"
								  arguments="{product: product, settings: settings, session: session}" />
					</div>
				</f:for>
			</f:then>
			<f:else>
				<f:for each="{products}" as="product" iteration="itemIteration">
					<div class="{settings.list.css.class.col}" data-endless-scrolling-element>
						<div class="{settings.list.css.class.item} {product.cssClasses} {additionalCssClasses}">
							<f:render partial="Product/List/Item/{settings.displayType}" section="Default"
									  arguments="{product: product, settings: settings, session: session}" />
						</div>
					</div>
				</f:for>
			</f:else>
		</f:if>
	</f:if>
</div>
